新知一下
海量新知
6 0 8 8 0 1 5

【漏洞预警】OpenSSH 权限提升漏洞

运维研习社 | 以运维技术做运营后盾 2021/09/28 10:54

通告信息

近日, OpenSSH项目发布了OpenSSH 8.8安全更新,修复了OpenSSH 6.2 到 8.7版本中的 sshd(8)中的一个权限提升漏洞。漏洞编号为CVE-2021- 41617 ,漏洞等级:严重。

新知达人, 【漏洞预警】OpenSSH 权限提升漏洞

对此,建议广大用户及时升级到安全版本 ,并做好资产自查以及预防工作,以免遭受黑客攻击。

漏洞概述

OpenSSH 是 SSH (Secure Shell) 协议的免费开源实现。

sshd(8)在执行AuthorizedKeysCommand或Authorized-PrincipalsCommand时,未能正确地初始化,其中Authorized-KeysCommandUser 或 AuthorizedPrincipalsCommandUser 指令被设置为以非root用户身份运行。相反,这些命令将继承 sshd(8) 启动时的组的权限,根据系统配置的不同,继承的组可能会让辅助程序获得意外的权限,导致权限提升。

sshd_config(5)中AuthorizedKeysCommand和 AuthorizedPrincipals-Command 都没有被默认启用。

漏洞危害

击者可以利用漏洞 从低权限用户提升到高权限用户 , 进一步完全控制服务器

影响版本

OpenSSH 版本6.2 - 8.7

解决方案

目前此漏洞已经修复,建议受影响的用户及时升级更新到 OpenSSH 8.8。

下载链接:

http://www.openssh.com/releasenotes.html



更多“OpenSSH”相关内容

更多“OpenSSH”相关内容

新知精选

更多新知精选